public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-libs/camd/files/, sci-libs/camd/
@ 2021-01-16  2:23 Michael Orlitzky
  0 siblings, 0 replies; only message in thread
From: Michael Orlitzky @ 2021-01-16  2:23 UTC (permalink / raw
  To: gentoo-commits

commit:     4e61159117a7d1a3490460dec8c37c7fbeec4c08
Author:     François Bissey <frp.bissey <AT> gmail <DOT> com>
AuthorDate: Sat Jan 16 01:55:16 2021 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Sat Jan 16 02:03:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e611591

sci-libs/camd: fix bashism in doc building

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Bug: https://bugs.gentoo.org/760408
Signed-off-by: François René Pierre Bissey <frp.bissey <AT> gmail.com>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 sci-libs/camd/camd-2.4.6-r1.ebuild            | 41 +++++++++++++++++++++++++++
 sci-libs/camd/files/camd-2.4.6-dash_doc.patch | 16 +++++++++++
 2 files changed, 57 insertions(+)

diff --git a/sci-libs/camd/camd-2.4.6-r1.ebuild b/sci-libs/camd/camd-2.4.6-r1.ebuild
new file mode 100644
index 00000000000..fb5a430ed40
--- /dev/null
+++ b/sci-libs/camd/camd-2.4.6-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Library to order a sparse matrix prior to Cholesky factorization"
+HOMEPAGE="https://people.engr.tamu.edu/davis/suitesparse.html"
+SRC_URI="http://202.36.178.9/sage/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc"
+
+BDEPEND="virtual/pkgconfig
+	doc? ( virtual/latex-base )"
+DEPEND=">=sci-libs/suitesparseconfig-5.4.0"
+RDEPEND="${DEPEND}"
+
+PATCHES=( "${FILESDIR}"/${PN}-2.4.6-dash_doc.patch )
+
+src_prepare(){
+	default
+
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--disable-static \
+		$(use_with doc)
+}
+
+src_install() {
+	default
+
+	# no static archives
+	find "${D}" -name '*.la' -delete || die
+}

diff --git a/sci-libs/camd/files/camd-2.4.6-dash_doc.patch b/sci-libs/camd/files/camd-2.4.6-dash_doc.patch
new file mode 100644
index 00000000000..c70ed070f2a
--- /dev/null
+++ b/sci-libs/camd/files/camd-2.4.6-dash_doc.patch
@@ -0,0 +1,16 @@
+diff --git a/Doc/Makefile.am b/Doc/Makefile.am
+index 80f5653..71c130a 100644
+--- a/Doc/Makefile.am
++++ b/Doc/Makefile.am
+@@ -1,9 +1,8 @@
+ 
+ CAMD_UserGuide.pdf:
+-	echo '\begin{verbatim}' > camd_h.tex
++	printf '\\begin{verbatim}\n' > camd_h.tex
+ 	expand -8 $(top_srcdir)/Include/camd.h >> camd_h.tex
+-	echo '\end{verbatim}' >> camd_h.tex
+-	-ln -s $(srcdir)/*.{tex,bib} .
++	printf '\\end{verbatim}\n' >> camd_h.tex
+ 	$(PDFLATEX) CAMD_UserGuide
+ 	$(BIBTEX)  CAMD_UserGuide
+ 	$(PDFLATEX) CAMD_UserGuide


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2021-01-16  2:23 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2021-01-16  2:23 [gentoo-commits] repo/gentoo:master commit in: sci-libs/camd/files/, sci-libs/camd/ Michael Orlitzky

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox